# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-07-04 09:18
from __future__ import unicode_literals
from __future__ import unicode_literals

from django.db import migrations
from django.db import models

app_label = 'publications_bootstrap'


def forwards(apps, schema_editor):
    Catalog = apps.get_model(app_label, "Catalog")
    for catalog in Catalog.objects.all():
        for publication in catalog.publication_set.all():
            catalog.publications.add(publication)


def backwards(apps, schema_editor):
    Catalog = apps.get_model(app_label, "Catalog")
    for catalog in Catalog.objects.all():
        for publication in catalog.publications.all():
            publication.catalog_set.add(catalog)


class Migration(migrations.Migration):
    dependencies = [
        ('publications_bootstrap', '0003_db_index'),
    ]

    operations = [
        migrations.AddField(
            model_name='catalog',
            name='publications',
            field=models.ManyToManyField(blank=True, db_index=True, to='publications_bootstrap.Publication'),
        ),
        migrations.RunPython(forwards, backwards),
        migrations.RemoveField(
            model_name='publication',
            name='catalogs',
        ),

    ]
